def is_guarded(pi, hi, v):
    return abs(pi - v) <= hi

def find_guarded_storages(n, m, k, guards_info):
    guarded_storages = set()
    for v in range(1, n + 1):
        for guard_info in guards_info:
            pi, hi = guard_info
            if is_guarded(pi, hi, v):
                guarded_storages.add(v)
                break
    return guarded_storages

n = 5
m = 3
k = 2
guards_info = [(2, 1), (4, 2)]
guarded_storages = find_guarded_storages(n, m, k, guards_info)

print()
